#!/usr/bin/env python
# -*- coding: utf-8 -*-

# Project       FreeImagePy
# file name:    __init__.py
#
# $Id $
#
# DESCRIPTION
# FreeImage python bind
#
# Developer:
# Michele Petrazzo <michele.petrazzo@unipex.it>
#
# History :
# creation: 08/2005 - Michele Petrazzo
# 
# License:
#         GNU General Public License (GPL)
#         FreeImage Public License (FIPL)
#         For more info see LICENSE.txt
#
# Copyright (C) 2005  Unipex s.r.l.,  All Rights Reserved.
# Via Vittorio Veneto 83/A
# 33050 Gonars (UD) - Italy
# tel. +39 0432 931511 - fax +39 0432 931378
# www.unipex.it - michele.petrazzo@unipex.it
#

import sys

if sys.version_info[0] > 2:
    import FreeImagePy.FreeImagePy as FreeImagePy
    
    from FreeImagePy.constants import *
    from FreeImagePy.FreeImagePy import freeimage
    from FreeImagePy.FreeImagePy import Image

else:
    import FreeImagePy
    
    from constants import *
    from FreeImagePy import freeimage
    from FreeImagePy import Image

__doc__ = "FreeImagePy, a freeimage python wrap"

try:
    _FI = FreeImagePy.freeimage()
    __version__ = "FreeImagePy 1.4.1, FreeImage %s" % _FI.version
    del _FI
except constants.FreeImagePy_LibraryNotFound:
    __version__ = "FreeImagePy 1.4.1, FreeImage 3.9.2 (May be different)"
